<input type="file" (change)="fileChangeEvent($event)" />
<button mat-icon-button (click)="imageCropper.rotateLeft()"><mat-icon svgIcon="rotate-left"></mat-icon></button>
<button mat-icon-button (click)="imageCropper.rotateRight()"><mat-icon svgIcon="rotate-right"></mat-icon></button>
<image-cropper
    [imageChangedEvent]="imageChangedEvent"
    [maintainAspectRatio]="true"
    [aspectRatio]="4 / 3"
    [resizeToWidth]="128"
    format="png"
    (imageCropped)="imageCropped($event)"
    (imageLoaded)="imageLoaded()"
    (cropperReady)="cropperReady()"
    (loadImageFailed)="loadImageFailed()"
></image-cropper>

<img [src]="croppedImage" />